DROP TABLE Seg_User_Fav
GO 

CREATE TABLE Seg_User_Fav(
	Id_Favorito	INT IDENTITY(1,1),
	Id_Usuario SMALLINT NOT NULL,
    Id_Modulo SMALLINT NOT NULL,
    Id_Menu SMALLINT NOT NULL,
	Orden	SMALLINT,
	Flag_Grupo	TINYINT,
	Descripcion varchar(250),
	Id_Favorito_Padre INT,
 CONSTRAINT PK_SUF_PorID PRIMARY KEY CLUSTERED 
(
	Id_Favorito
)
) 

GO



CREATE INDEX IX_SUF_PorUseModMen ON Seg_User_Fav (Id_Usuario,Id_Modulo,Id_Menu)
GO



ALTER TABLE dbo.Seg_User_Fav ADD  CONSTRAINT FK_SUF_Seg_User FOREIGN KEY(Id_Usuario)
REFERENCES dbo.Seg_User ([No])
GO



